> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post push



## OpenAPI

````yaml https://communication-ms.supergasbras.app/swagger/v1/swagger.json post /push
openapi: 3.0.1
info:
  title: CTech.Communication.Api
  version: '1.0'
servers: []
security: []
paths:
  /push:
    post:
      tags:
        - Communication
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PushRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PushRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PushRequest'
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    PushRequest:
      required:
        - token
      type: object
      properties:
        token:
          minLength: 1
          type: string
        title:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
        data:
          type: object
          additionalProperties:
            type: string
          nullable: true
        apns:
          $ref: '#/components/schemas/ApnsPayload'
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ApnsPayload:
      type: object
      properties:
        aps:
          $ref: '#/components/schemas/ApsPayload'
      additionalProperties: false
    ApsPayload:
      type: object
      properties:
        sound:
          type: string
          nullable: true
        contentAvailable:
          type: boolean
      additionalProperties: false

````